# Class SolanaAddress

#### Hierarchy

- SolanaAddress

#### Implements

- Address

- Defined in platforms/solana/src/address.ts:14

#####
Index

### Constructors

constructor

### Properties

address
type
byteSize
platform

### Methods

equals
toNative
toString
toUint8Array
toUniversalAddress
unwrap
instanceof

## Constructors

### constructor

- new SolanaAddress(address): SolanaAddress

- #### Parameters

  - ##### address: AnySolanaAddress

  #### Returns SolanaAddress

  - Defined in platforms/solana/src/address.ts:22

## Properties

### `Private` `Readonly` address

address: PublicKey

- Defined in platforms/solana/src/address.ts:20

### `Readonly` type

type: string = 'Native'

- Defined in platforms/solana/src/address.ts:18

### `Static` `Readonly` byteSize

byteSize: 32 = 32

- Defined in platforms/solana/src/address.ts:15

### `Static` `Readonly` platform

platform: "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm" = _platform

- Defined in platforms/solana/src/address.ts:16

## Methods

### equals

- equals(other): boolean

- #### Parameters

  - ##### other: UniversalAddress | SolanaAddress

  #### Returns boolean

  - Defined in platforms/solana/src/address.ts:54

### toNative

- toNative(): SolanaAddress

- #### Returns SolanaAddress

  - Defined in platforms/solana/src/address.ts:43

### toString

- toString(): string

- #### Returns string

  Implementation of Address.toString

  - Defined in platforms/solana/src/address.ts:37

### toUint8Array

- toUint8Array(): Uint8Array

- #### Returns Uint8Array

  Implementation of Address.toUint8Array

  - Defined in platforms/solana/src/address.ts:40

### toUniversalAddress

- toUniversalAddress(): UniversalAddress

- #### Returns UniversalAddress

  Implementation of Address.toUniversalAddress

  - Defined in platforms/solana/src/address.ts:46

### unwrap

- unwrap(): PublicKey

- #### Returns PublicKey

  Implementation of Address.unwrap

  - Defined in platforms/solana/src/address.ts:34

### `Static` instanceof

- instanceof(address): address is SolanaAddress

- #### Parameters

  - ##### address: any

  #### Returns address is SolanaAddress

  - Defined in platforms/solana/src/address.ts:50

Generated using TypeDoc